#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX_STUD 100
#define MAX_OCENA 10
#define MAX_IME 101 //zbog terminalne nule

typedef struct _student{
	char ime[MAX_IME];
	int oc[MAX_OCENA];
	int br_ocena;
	float pr_oc;
}student;

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

float prosek(student s){
	float r = 0;
	int i = 0;
	for(i = 0; i < s.br_ocena; i++)
		r += s.oc[i];
	return r / s.br_ocena;
}

int main(int argc, char **argv){
	if(argc != 2)
		greska();
	
	FILE *f = fopen(argv[1], "r");
	if(f == NULL)
		greska();
	
	//oznaka za broj studenata
	int n = 0;
	student studenti[MAX_STUD];
	while(1){
		char t_ime[MAX_IME];
		char t_prezime[MAX_IME];
		
		if(fscanf(f, "%s%s", t_ime, t_prezime) != 2)
			break;
		
		//"ime razmak prezime"
		//prvo kopiramo ime
		//nakon toga nadovezujemo " "
		//nakon toga nadovezujemo prezime
		strcpy(studenti[n].ime, t_ime);
		strcat(studenti[n].ime, " ");
		strcat(studenti[n].ime, t_prezime);
		
		studenti[n].br_ocena = 0;
		while(1){
			int t_ocena;
			fscanf(f, "%d", &t_ocena);
			if(t_ocena == 0)
				break;
			
			studenti[n].oc[studenti[n].br_ocena] = t_ocena;
			studenti[n].br_ocena++;
		}
		
		studenti[n].pr_oc = prosek(studenti[n]);
		
		//provera
		//printf("%s\n", studenti[n].ime);
		
		n++;
	}
	fclose(f);
	
	student max_prosek = studenti[0];
	int i;
	for(i = 1; i < n; i++)
		if(studenti[i].pr_oc > max_prosek.pr_oc)
			max_prosek = studenti[i];
		
	printf("Najveci prosek %.2f ima %s\n", max_prosek.pr_oc, max_prosek.ime);
	
}